=== debian/changelog ===
marsshooter (0.7.5-2) unstable; urgency=medium

  * Depend on fonts package fonts-wqy-microhei instead of the deprecated
    ttf-wqy-microhei.
  * Add fix-segfault-when-using-arguments-without-path.patch.
    - Fix a segmentation fault when one tries to launch M.A.R.S using the -cfg
      or -data arguments without specifying a path after that argument.
      Thanks to Sylvain Boilard for the report and patch! (Closes: #737487)
  * Add Forwarded headers to all patches.
  * Remove source/options file because xz compression is the default now.

 -- Markus Koschany <apo@gambaru.de>  Mon, 03 Feb 2014 21:47:22 +0100

marsshooter (0.7.5-1) unstable; urgency=medium

  * Initial release. (Closes: #722915)

 -- Markus Koschany <apo@gambaru.de>  Tue, 17 Dec 2013 18:11:59 +0100
