=== debian/control ===
Source: marsshooter
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 cmake,
 debhelper (>= 9),
 dpkg-dev (>= 1.17),
 libfribidi-dev,
 libsfml-dev,
 libtag1-dev,
 pkg-config
Build-Depends-Indep:
 imagemagick
Standards-Version: 3.9.5
Homepage: http://mars-game.sourceforge.net
Vcs-Git: git://anonscm.debian.org/pkg-games/marsshooter.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/marsshooter.git

Package: marsshooter
Architecture: any
Depends:
 fonts-dejavu,
 fonts-gargi,
 fonts-tlwg-waree,
 fonts-wqy-microhei,
 marsshooter-data (<= ${source:Version}),
 marsshooter-data (>= ${source:Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: ridiculous space shooter governed by the laws of gravity
 M.A.R.S is a two-dimensional space shooter game with excellent 2D-graphics, a
 stunning amount of particles and shader support. It offers single- and
 multiplayer gameplay, many impressive weapons and specials and customizable
 ships.
 .
 In the year 3547 civilizations across the galaxy have settled their own
 planets, living in peace and harmony with its environment. But outside the
 placid habitats, the GREAT WAR is raging. As a famous fighter on your way to
 never ending honor and prosperity, you have to protect your planet from the
 imminent doom of your jealous neighbours!

Package: marsshooter-data
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 marsshooter
Description: ridiculous space shooter governed by the laws of gravity -- data
 M.A.R.S is a two-dimensional space shooter game with excellent 2D-graphics, a
 stunning amount of particles and shader support. It offers single- and
 multiplayer gameplay, many impressive weapons and specials and customizable
 ships.
 .
 This package contains the data files for M.A.R.S and includes all graphics
 and sounds.
