## marsshooter 0.7.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,21 @@
 # version number
 set(mars_MAJOR 0)
 set(mars_MINOR 7)
-set(mars_PATCH 5)
+set(mars_PATCH 6)
 set(mars_VERSION ${mars_MAJOR}.${mars_MINOR}.${mars_PATCH})
 set(mars_DESCRIPTION "M.A.R.S. - a ridiculous Shooter")
 set(mars_HOMEPAGE "http://www.marsshooter.org")
-set(mars_EXENAME "mars")
+set(mars_EXENAME "marsshooter")
 set(mars_PACKAGENAME "mars")
  
 # We require at least version 2.8.0
 cmake_minimum_required(VERSION 2.8.0)
+
+#####################################################################
+# Installation directories
+#####################################################################
+set(mars_DATA_DEST_DIR ${CMAKE_INSTALL_PREFIX}/share/games/marsshooter CACHE STRING "marsshooter data files destdir")
+set(mars_EXE_DEST_DIR ${CMAKE_INSTALL_PREFIX}/games CACHE STRING "marsshooter exe destdir")
 
 #####################################################################
 # Configure and find libraries
@@ -62,7 +68,7 @@
 #####################################################################
 
 # compile source
-set(CMAKE_CXX_FLAGS "-s -O2")
+set(CMAKE_CXX_FLAGS "-s -O2" CACHE STRING "CXX flags")
  add_subdirectory(src) 
  
 #####################################################################
