=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # create executable
 if(APPLE)
 	add_executable(
-		mars MACOSX_BUNDLE
+		marsshooter MACOSX_BUNDLE
 			main.cpp
 			${MARS_SOURCES}
 			${MARS_HEADERS}
@@ -40,7 +40,7 @@
   )
 else(APPLE)
 	add_executable(
-		mars
+		marsshooter
 			main.cpp 
 			${MARS_SOURCES}
 			${MARS_HEADERS}
@@ -50,7 +50,7 @@
 
 # link SFML and other libraries
 target_link_libraries(
-	mars
+	marsshooter
 		${FOUNDATION_LIBRARY}
 		${SFML_LIBRARIES}
 		${OPENGL_LIBRARIES}
@@ -66,9 +66,9 @@
 if(UNIX)
 	install(
 		TARGETS 
-			mars
+			marsshooter
 		RUNTIME DESTINATION
-			${CMAKE_INSTALL_PREFIX}/games
+			${mars_EXE_DEST_DIR}
 	)
 	install(
 		FILES
@@ -82,7 +82,7 @@
 			${MARS_SOURCE_DIR}/data/botnames.txt
 			${MARS_SOURCE_DIR}/data/shipnames.txt
 		DESTINATION
-			${CMAKE_INSTALL_PREFIX}/share/games/marsshooter
+			${mars_DATA_DEST_DIR}
 	)
 	install(
 		DIRECTORY 
@@ -92,47 +92,60 @@
 			${CMAKE_SOURCE_DIR}/data/shaders
 			${CMAKE_SOURCE_DIR}/data/tex
 		DESTINATION 
-			${CMAKE_INSTALL_PREFIX}/share/games/marsshooter
+			${mars_DATA_DEST_DIR}
 		PATTERN 
 			".svn" EXCLUDE
 	)
 	# icons
 	install(
 		FILES
-			${MARS_SOURCE_DIR}/resources/mars.png
+			${MARS_SOURCE_DIR}/resources/marsshooter.png
 		DESTINATION
 			${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/512x512/apps
 	)
 	install(
 		FILES
-			${MARS_SOURCE_DIR}/resources/mars.svg
+			${MARS_SOURCE_DIR}/resources/marsshooter.svg
 		DESTINATION
 			${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
 	)
 	install(
 		FILES
-			${MARS_SOURCE_DIR}/resources/mars.xpm
+			${MARS_SOURCE_DIR}/resources/marsshooter.xpm
 		DESTINATION
 			${CMAKE_INSTALL_PREFIX}/share/pixmaps
 	)
 	# desktop file
 	install(
 		FILES
-			${MARS_SOURCE_DIR}/resources/mars.desktop
+			${MARS_SOURCE_DIR}/resources/marsshooter.desktop
 		DESTINATION
 			${CMAKE_INSTALL_PREFIX}/share/applications
 	)
+	# appdata file
 	install(
 		FILES
-			${MARS_SOURCE_DIR}/resources/mars
+			${MARS_SOURCE_DIR}/resources/marsshooter.appdata.xml
 		DESTINATION
-			${CMAKE_INSTALL_PREFIX}/share/menu
+			${CMAKE_INSTALL_PREFIX}/share/appdata
 	)
-
+	# manpage
+	install(
+		FILES
+			${MARS_SOURCE_DIR}/resources/marsshooter.6
+		DESTINATION
+			${CMAKE_INSTALL_PREFIX}/share/man/man6
+	)
+    #install(
+    #FILES
+    #${MARS_SOURCE_DIR}/resources/mars
+    #DESTINATION
+    #${CMAKE_INSTALL_PREFIX}/share/menu
+    #)
 else(UNIX)
 	# executable
 	install(
-		TARGETS mars
+		TARGETS marsshooter
 			RUNTIME DESTINATION .
 			BUNDLE DESTINATION .
 	)
