=== debian/changelog ===
marsshooter (0.7.6-1) unstable; urgency=medium

  * Imported Upstream version 0.7.6.
    - Add a new appdata file.
    - Rename mars binary to marsshooter.
    - Use upstream's man page.
    - Make the build reproducible.
  * Drop all patches. Applied upstream.
  * Vcs-Browser: Use https.
  * Update my e-mail address.
  * Install NEWS file as upstream changelog.
  * debian/control: Depend only on marsshooter-data (>= ${source:Version}).
  * Add README.source.
  * Add man-page.patch and fix outdated SYNOPSIS.

 -- Markus Koschany <apo@debian.org>  Sun, 10 Jan 2016 17:06:50 +0100

marsshooter (0.7.5-3) unstable; urgency=medium

  * Add remove-glu-dependency.patch.
    Fix build failures with SFML 2.3. due to the use of functions from GLU and
    replace GLU with standard OpenGL calls.
    Thanks to James Cowgill for the report and the patch! (Closes: #784857)
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Switch to cgit.
  * Add mars binary to debian/clean and ensure M.A.R.S. can be built twice in a
    row.

 -- Markus Koschany <apo@gambaru.de>  Wed, 01 Jul 2015 12:42:33 +0200
