=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Markus Koschany <apo@gambaru.de>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
  debhelper (>= 9),
@@ -14,10 +14,10 @@
  pkg-config
 Build-Depends-Indep:
  imagemagick
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mars-game.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/marsshooter.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/marsshooter.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/marsshooter.git
 
 Package: marsshooter
 Architecture: any
@@ -26,8 +26,7 @@
  fonts-gargi,
  fonts-tlwg-waree,
  fonts-wqy-microhei,
- marsshooter-data (<= ${source:Version}),
- marsshooter-data (>= ${source:Upstream-Version}),
+ marsshooter-data (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Description: ridiculous space shooter governed by the laws of gravity
