=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_build-indep:
	convert -monitor -resize 32x32 resources/marsshooter.xpm marsshooter.xpm

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --download-current-version --force-download --repack --compression xz
