=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
https://github.com/jwrdegoede/M.A.R.S./tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R|r)marsshooter-(\d\S*)\.tar\.gz
